# Test program to illustrate ADS1115 class usage

import uads1115
import machine

# Example using an ESP8266 (ESP-01)
i2c = machine.I2C(freq=400000, scl=machine.Pin(0), sda=machine.Pin(2))

# Connecting to ADS1115 in Debug mode
chip = uads1115.uads1115(i2c)

# Read single ended on port 0 (FSR=6144, SPS=860)
chip.ReadSingleEnded()

# Read single ended on port 1 (FSR=4096, SPS=128)
chip.ReadSingleEnded(port=1, fsr=4096, sps=128)

# Read differential between ports 0 and 1
chip.ReadDifferential()

# Read differential between ports 0 and 1 (FSR=4096, SPS=64)
chip.ReadDifferential(ports='0-1', fsr=4096, sps=64)
